Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Permutation.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Permutation.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/Permutation.cs	(revision 16462)
@@ -24,9 +24,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
   [Item("Permutation", "Represents a permutation of integer values.")]
-  [StorableClass]
+  [StorableType("FBBCFA53-C1AE-4069-907B-99C720F5AC51")]
   public class Permutation : IntArray {
     [Storable]
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected Permutation(bool deserializing) : base(deserializing) { }
+    protected Permutation(StorableConstructorFlag _) : base(_) { }
     protected Permutation(Permutation original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationCrossover.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationCrossover.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationCrossover.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("PermutationCrossover", "A base class for permutation crossover operators.")]
-  [StorableClass]
+  [StorableType("99A5AE01-4208-4002-8FCB-DC2231DE0F53")]
   public abstract class PermutationCrossover : InstrumentedOperator, IPermutationCrossover, IStochasticOperator {
     public override bool CanChangeName {
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected PermutationCrossover(bool deserializing) : base(deserializing) { }
+    protected PermutationCrossover(StorableConstructorFlag _) : base(_) { }
     protected PermutationCrossover(PermutationCrossover original, Cloner cloner) : base(original, cloner) { }
     protected PermutationCrossover()
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationEncoding.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationEncoding.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationEncoding.cs	(revision 16462)
@@ -28,10 +28,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
   [Item("PermutationEncoding", "Describes a permutation encoding.")]
-  [StorableClass]
+  [StorableType("E30E7507-44BA-4021-8F56-C3FC5569A6FE")]
   public sealed class PermutationEncoding : Encoding<IPermutationCreator> {
     #region encoding parameters
@@ -80,5 +80,5 @@
 
     [StorableConstructor]
-    private PermutationEncoding(bool deserializing) : base(deserializing) { }
+    private PermutationEncoding(StorableConstructorFlag _) : base(_) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationManipulator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationManipulator.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationManipulator.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("PermutationManipulator", "A base class for permutation manipulation operators.")]
-  [StorableClass]
+  [StorableType("436622C7-1F84-4A07-B77A-019DA2A2DFC9")]
   public abstract class PermutationManipulator : InstrumentedOperator, IPermutationManipulator, IStochasticOperator {
     public override bool CanChangeName {
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected PermutationManipulator(bool deserializing) : base(deserializing) { }
+    protected PermutationManipulator(StorableConstructorFlag _) : base(_) { }
     protected PermutationManipulator(PermutationManipulator original, Cloner cloner) : base(original, cloner) { }
     protected PermutationManipulator()
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationType.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationType.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationType.cs	(revision 16462)
@@ -24,9 +24,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
   [Item("PermutationType", "Represents a certain type of permutation.")]
-  [StorableClass]
+  [StorableType("B37C1815-5F82-4E46-BAE3-D71F801EFF46")]
   public class PermutationType : ValueTypeValue<PermutationTypes> {
     public static new Image StaticItemImage {
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected PermutationType(bool deserializing) : base(deserializing) { }
+    protected PermutationType(StorableConstructorFlag _) : base(_) { }
     protected PermutationType(PermutationType original, Cloner cloner) : base(original, cloner) { }
     public PermutationType() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/ShakingOperators/PermutationShakingOperator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/ShakingOperators/PermutationShakingOperator.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/ShakingOperators/PermutationShakingOperator.cs	(revision 16462)
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.PluginInfrastructure;
 
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("PermutationShakingOperator", "A shaking operator for VNS which uses available manipulation operators to perform the shaking.")]
-  [StorableClass]
+  [StorableType("632B3164-EEE1-4DAC-BB91-651A1CE2EED1")]
   public class PermutationShakingOperator : ShakingOperator<IPermutationManipulator>, IPermutationMultiNeighborhoodShakingOperator, IStochasticOperator {
 
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected PermutationShakingOperator(bool deserializing) : base(deserializing) { }
+    protected PermutationShakingOperator(StorableConstructorFlag _) : base(_) { }
     protected PermutationShakingOperator(PermutationShakingOperator original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/SimilarityCalculators/HammingSimilarityCalculator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/SimilarityCalculators/HammingSimilarityCalculator.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.PermutationEncoding/3.3/SimilarityCalculators/HammingSimilarityCalculator.cs	(revision 16462)
@@ -24,14 +24,14 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization.Operators;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.PermutationEncoding {
   [Item("Hamming Similarity Calculator for Permutation", "An operator that performs similarity calculation between two permutation-encoded solutions.")]
-  [StorableClass]
+  [StorableType("CD7CC097-C46E-42A5-82BF-E47CEB945B9B")]
   public sealed class HammingSimilarityCalculator : SingleObjectiveSolutionSimilarityCalculator {
     protected override bool IsCommutative { get { return true; } }
 
     [StorableConstructor]
-    private HammingSimilarityCalculator(bool deserializing) : base(deserializing) { }
+    private HammingSimilarityCalculator(StorableConstructorFlag _) : base(_) { }
     private HammingSimilarityCalculator(HammingSimilarityCalculator original, Cloner cloner) : base(original, cloner) { }
     public HammingSimilarityCalculator() : base() { }
